/****************************************************************
*  function: translocate
*
*  given a starting x,y position and a direction (0-5),
*  returns the sve coords of the destination hex
****************************************************************/

#include <stdio.h>
#include "sve.h"

translocate(direction, x, y, result_x, result_y)

int direction;			/* (0-5); defined in sve.h */
int x;				/* start from x,y */
int y;
int *result_x;			/* returns answers in result_x, _y */
int *result_y;
{
  switch (direction) {		/* increment coords in appropriate 
                                   directions */
  case 0 : 
    x -= 1;
    y -= 1;
    break;
    
  case 1:
    x += 1;
    y -= 1;
    break;

  case 2:
    x += 2;
    break;

  case 3:
    x += 1;
    y += 1;
    break;

  case 4:
    x -= 1;
    y += 1;
    break;

  case 5:
    x -= 2;
    break;

  default:
    printf("\nInvalid direction passed to TRANSLOCATE. \n");
    exit(0);
  }

  recoordinate(&x, &y);		/* fix out-of-range coords */
				
  *result_x = x;		/* return coords */
  *result_y = y;
}
      
